<?php

namespace Hura8\Components\Product\Model;

use Hura8\Interfaces\AppResponse;
use Hura8\System\Model\aEntityBaseModel;

class ProductInfoModel extends aEntityBaseModel
{

    protected $richtext_fields = [
        'description',
        'spec',
        'instruction',
    ];

    public function __construct() {
        parent::__construct('product_info', '', null, $this->richtext_fields);
    }


    protected function extendedFilterOptions() : array
    {
        return [
            // empty for now
        ];
    }


    protected function _buildQueryConditionExtend(array $filter_condition) : ?array
    {
        return null;
    }

}
